# OpenProject
[<img src="https://travis-ci.org/opf/openproject.svg?branch=dev" alt="Build Status" />](https://travis-ci.org/opf/openproject)
[![Code Climate](https://codeclimate.com/github/opf/openproject/badges/gpa.svg)](https://codeclimate.com/github/opf/openproject)

OpenProject is a web-based project management software. Its key features are:

* [Project planning and scheduling](https://www.openproject.org/collaboration-software-features/#project-planning)
* [Product roadmap and release planning](https://www.openproject.org/collaboration-software-features/#product-management)
* [Task management and team collaboration](https://www.openproject.org/collaboration-software-features/#task-management)
* [Agile and Scrum](https://www.openproject.org/collaboration-software-features/#agile-scrum)
* [Time tracking, cost reporting and budgeting](https://www.openproject.org/collaboration-software-features/#time-tracking)
* [Bug tracking](https://www.openproject.org/collaboration-software-features/#bug-tracking)
* [Wikis](https://docs.openproject.org/user-guide/wiki/)
* [Forums](https://docs.openproject.org/user-guide/forum/)
* [Meeting agendas and meeting minutes](https://docs.openproject.org/user-guide/meetings/)

More information and screenshots can be found on our [website](https://www.openproject.org).

## Installation

If you want to run an instance of OpenProject in production (or for evaluation), refer to our
in-depth [installation guides](https://www.openproject.org/download-and-installation/).

If you're a developer wanting to set-up a local environment for contributing to OpenProject or
developing plugins, you should refer instead to our [Quick Start for Developers](https://www.openproject.org/development/setting-up-development-environment/).

## Reporting bugs

You found a bug? Please report it to our [OpenProject community](https://community.openproject.com/projects/openproject). Thank you!

## Contact

OpenProject is supported by its community members, both companies and individuals.

Here you can find our [contact information](https://www.openproject.org/contact-us).


## Security / responsible disclosure

We take security very seriously at OpenProject. We value any kind of feedback that
will keep our community secure. If you happen to come across a security issue we urge
you to disclose it to us privately to allow our users and community enough time to
upgrade. Security issues will always take precedence over anything else in the pipeline.

For more information on how to disclosure a security vulnerability, [please see this page](docs/security/README.md).

## License

OpenProject is licensed under the terms of the GNU General Public License version 3.
See [docs/COPYRIGHT.rdoc](docs/COPYRIGHT.rdoc) for details.

## Credits

### Icons

Thanks to Vincent Le Moign and his fabulous Minicons icons on [webalys.com](http://www.webalys.com/minicons/icons-free-pack.php).

### Lato Font

Thanks to Łukasz Dziedzic (aka "tyPoland") for his 'Lato' font.

### OpenProject icon font
Published and created by the OpenProject Foundation (OPF) under [Creative Commons Attribution 3.0 Unported License](http://creativecommons.org/licenses/by/3.0/)
with icons from the following sources
[Minicons Free Vector Icons Pack](http://www.webalys.com/minicons) and
[User Interface Design framework](http://www.webalys.com/design-interface-application-framework.php) both by webalys

**Creative Commons License**

OpenProject Icon Font by the OpenProject Foundation (OPF) is licensed under Creative Commons Attribution 3.0 Unported License
and Free for both personal and commercial use. You can copy, adapt, remix, distribute or transmit it.

Under this condition: provide a mention of the "OpenProject Foundation" and a link back to OpenProject www.openproject.org.
