---
sidebar_navigation:
  title: Create OpenProject Cloud Edition trial installation
  priority: 998S
description: Create a free OpenProject Cloud Edition trial installation.
robots: index, follow
keywords: trial installation
---

# Create an OpenProject trial installation

You can easily set up a **14 days free trial** for the OpenProject Cloud Edition.

Here you can test all OpenProject functionalities thoroughly. After 14 days the trial will expire automatically, there is no further action nor cancellation required from your side. So, you have all freedom to test OpenProject unconcernedly.


| Popular Topics                                         | Description                                                  |
| ------------------------------------------------------ | :----------------------------------------------------------- |
| [Create a free trial](#start-a-new-trial-installation) | Learn more how to create a free trial for the cloud instance. |
|                                                        |                                                              |

## Start a new trial installation

To create a new OpenProject trial either go to the [OpenProject website](https://www.openproject.org/) or open the [start trial page](https://start.openproject.com).

**Enter your organization name**. This name will become part of the URL of your OpenProject installation, for example *myorganization.openproject.com*.

You can include a hyphen "-" in the organization name, e.g. *my-new-organization.openproject.com*.

Click the Start Free Trial button.

![create OpenProject trial](image-20191202165638244.png)

You will then be asked to [**create an OpenProject account**](../../getting-started/sign-in-registration/#create-a-new-account).

1. Enter your first and last **name**. 
2. Enter your **e-mail address**.
3. Choose a **password** and confirm the password. The password must at least be 10 characters long and needs to contain at least two of the following classes, uppercase letters, lowercase letters, special characters, numbers.
4. Please confirm the OpenProject [privacy policy](https://www.openproject.org/data-privacy-and-security/) and the [terms of service](https://www.openproject.org/terms-of-service/).
5. You can subscribe to the OpenProject **newsletter** where you will receive important updates about product, features, or new releases.
6. Click the **create new account button**.
7. Alternatively, you can login with an existing Google account by clicking the **Sign up with Google button**.

![Cloud-create-trial](Cloud-create-trial.png)

Your OpenProject instance will be created and you will be directed to your OpenProject installation.
