# Installation and Operation Guides

This section concerns the installation and operation of OpenProject (Community and Enterprise editions).

## Overview

| Main Topics | Description |
| ----------- | :---------- |
| [System requirements](system-requirements) | Learn the minimum configuration required to run OpenProject |
| [Installation](installation/) | How to install OpenProject |
| [Operation & Maintenance](operation/) | Guides on how to configure, backup, upgrade, and monitor your OpenProject installation |
| [Advanced configuration](configuration/) | Guides on how to perform advanced configuration of your OpenProject installation |
| [Other](misc/) | Guides on infrequent operations such as MySQL to PostgreSQL migration |

For production environments and when using a [supported distribution](system-requirements), we recommend using the [packaged installation](installation/packaged/). This will install OpenProject as a system dependency using your distribution's package manager, and provide updates in the same fashion that all other system packages do.

A [manual installation](installation/manual) option is also documented, but due to the large number of components involved and the rapid evolution of OpenProject, we cannot ensure that the procedure is either up-to-date or that it will correctly work on your machine. This mean if installation is NOT recommended.
