---
sidebar_navigation:
  title: Wiki project menu
  priority: 798
description: Create a project menu item for a wiki page.
robots: index, follow
keywords: wiki menu
---

# Wiki project menu

You can add a wiki page directly to the project menu as a separate menu item to have the pages easily accessible for all team members.

Wiki menu items are marked with the wiki icon to clearly identify the pages in the project menu.

![wiki-menu](wiki-menu.png)



## Add a wiki page to the project menu

To add a wiki page as a menu item to the project menu, select the **More** functions button on top of a wiki page and choose the **Configure menu item** topic.

![wiki-menu-item](wiki-menu-item.png)You can configure the menu items and choose between different visibility options.

(1) You can give the menu item in the project menu a different name than the wiki page itself by changing the **Name of menu item** in the list.

(2) You can set different **visibility** options:

- **Do not show this wikipage in the project navigation** will NOT display a separate menu item in the project navigation. The wiki page is just displayed within the wiki module itself.
- **Show as menu item in project navigation** will add a separate menu item to the project navigation.
- **Show as submenu item of ...** will display the wiki page a sub-menu item in the project navigation.

(4) **Save** your changes to the wiki page menu.



![wiki-menu-item-settings](wiki-menu-item-settings.png)

**Visibility** show as menu item in the project navigation:

![wiki-show-menu-item](wiki-show-menu-item.png)

**Visibility** show as submenu item of project-documentation:

![wiki-show-submenu-item](wiki-show-submenu-item.png)

The default option is **Do not show this wiki page in project navigation**. Check this option if you want to undo earlier changes and hide the wiki page from the project menu.